using UnityEngine;
using System.Collections;
using UnityEngine.UI;
using UnityEngine.EventSystems;// Required when using Event data.


namespace VamSander {

public class DraggingSlider : MVRScript, IPointerEnterHandler, IPointerExitHandler, IPointerUpHandler, IPointerDownHandler
{
    public bool SliderMouseOver = false;
    public bool SliderMousePressed = false;   
    public bool SliderMouseReleased = false; 

    public void OnPointerEnter(PointerEventData eventData)
        {
            SliderMouseOver = true;
        }


    public void OnPointerExit(PointerEventData eventData)
        {
            SliderMouseOver = false;
        }


    public void OnPointerDown(PointerEventData eventData)
        {
            SliderMousePressed = true;
        }


    public void OnPointerUp(PointerEventData eventData)
        {
            SliderMouseReleased = true;
        }
}


}